Subject: [Netconf] Action by Spet 4th: NetConf interop testing - doodle poll

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Fri, 31 Aug 2012 09:22:54 +0200

Several of the implementers have already agreed to come together
for an Interop Test event just before the Atlanta IETF.

I created a DOODLE poll to check for the best dates.
If you want to come with your implementation to test,
pls go to the doodle poll and express if you prefer
Friday/Saturday (2-3 Nov) or Saturday/Sunday (3-4 Nov).
PLEASE do so no later than Sept 4th 2012.

The Event will either be at the IETF hotel or at an NSN facility
in Atalanta (but a bit away from the IETF hotel).

http://www.doodle.com/nibe3k4c4zuq84mw

If you plan to participate,
PLEASE fill out the doodle poll no later than Sept 4

Bert

---

From: David Reid <[email-masked]>
Date: Fri, 31 Aug 2012 12:28:14 -0400

> PLEASE fill out the doodle poll no later than Sept 4

I filled out the doodle poll, although I'm not yet sure if I can participate.

There are a few issues that have been brought up on the list which would be
helpful to resolve soon such as:

What tests do we want to run?
What Yang modules will we use?
Will there be a mutual NDA?

-David Reid

---

From: Andy Bierman <[email-masked]>
Date: Fri, 31 Aug 2012 11:51:15 -0700

> What tests do we want to run?

Various people have some proprietary test tools.
There are various real applications that can
supposedly manage real servers.
We need some content to test the operations
in RFC 6241.

> What Yang modules will we use?

The $64 question.
We have the following standard modules:

  - notifications (RFC 5277)
  - ietf-netconf-partial-lock (RFC 5717)
  - ietf-netconf-monitoring (RFC 6022)
  - ietf-netconf-with-defaults (RFC 6243)
  - ietf-netconf-notifications (RFC 6470)
  - ietf-netconf-acm (RFC 6536)

We could test our own standard modules,
some of which have content.

Martin has a dummy test module for his scripts.
We could use that for edit/retrieve content tests.

> Wil l there be a mutual NDA?
>

This is not an official IETF event.
The Note Well/contribution requirements
should not apply, so an NDA is possible.

> -David Reid

Andy

---

From: Martin Bjorklund <[email-masked]>
Date: Fri, 31 Aug 2012 22:13:43 +0200 (CEST)

> > I filled out the doodle poll, although I'm not yet sure if I can

Great if you can be there!

> > What Yang modules will we use?

Some (generic) implementations can work with any modules, and some
implement a fixed set of modules.  I think each implementation has to
share the data models they implement with the others.  For the generic
implementation, we can pick some of the standard (or draft) modules.
But we need to know well in advance, so that we can adapt our test
programs.

/martin